> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superlink.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Parent domain purchase and setup

> Purchases and sets up a parent domain for use with ens subdomains



## OpenAPI

````yaml POST /v1/parentdomains/{parentDomain}/buy
openapi: 3.0.1
info:
  title: Superlink
  description: API for Superlink
  termsOfService: https://assets.superlink.me/tos-v2.html
  contact:
    name: API Support
    url: https://superlink.me/about#contact-us
    email: support@superlink.me
  license:
    name: MIT
  version: 67ce35d94e3c397766edd997341ed79b7283e2f3
servers:
  - url: https://api.superlink.me/
security: []
paths:
  /v1/parentdomains/{parentDomain}/buy:
    post:
      tags:
        - subdomain
      summary: Purchases and sets up a parent domain for use with ens subdomains
      description: Purchases and sets up a parent domain for use with ens subdomains
      operationId: parentdomain-purchase
      parameters:
        - name: parentDomain
          in: path
          description: superlink.me
          required: true
          schema:
            type: string
      requestBody:
        description: purchase parent domain
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/api.ParentDomainPurchaseRequest'
        required: true
      responses:
        '200':
          description: OK
          content: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.BadRequestResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.BadRequestResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    api.ParentDomainPurchaseRequest:
      type: object
      properties:
        domainContactDetails:
          type: object
          properties:
            address1:
              type: string
              example: 15 Church St
            address2:
              type: string
              example: Door 25, The building
            city:
              type: string
              example: New York
            country:
              type: string
              example: US
            email:
              type: string
              example: nora.miller@gmail.com
            nameFirst:
              type: string
              example: Nora
            nameLast:
              type: string
              example: Miller
            phoneCountryCode:
              type: string
              example: '+1'
            phoneNumber:
              type: string
              example: '1234123412'
            postalCode:
              type: string
              example: '12345'
            state:
              type: string
              example: CA
    api.BadRequestResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/api.ErrorResponse'
    api.InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          example: Internal server error
    api.ErrorResponse:
      type: object
      properties:
        field:
          type: string
          example: field
        info:
          type: string
          example: error message
  securitySchemes:
    BearerAuth:
      type: apiKey
      description: Type "Bearer" followed by a space and the JWT token.
      name: Authorization
      in: header

````